/*
 * Title  : host_info.sql
 * Author : EXADIME LLC
 * Created: 19-Feb-2026
 * Updated: 19-Feb-2026
 * Release: 1.0.0
 * Purpose: To show host details.
 * Comment: None
 * History: N/A
 */

start oracle.ini

set echo off
set feedback off
set serverout on
set termout on

set linesize 150
set pagesize 24
set pause off
set long 80

set heading on
set headsep on
set underline on
set colsep " "

set define on
set verify off
set escape off
set embedded on

col "#"			format 9
col "Name" 		format a10
col "Host"		format a20
col "I/P Address"	format a15

spool &&rpt_dir/host_info.rpt

select
	rownum						"#",
	host_name					"Host",
	utl_inaddr.get_host_address			"I/P Address"
from
	v$instance
/

spool off;

clear columns

set embedded off
set escape off
set verify on
set define on

set colsep " "
set underline on
set headsep on
set heading on

set pause off
set pagesize 24
set linesize 200
set long 80

set termout on
set serverout off
set feedback on
set echo off
